Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.program.homologene
Class OrthologueFilter.ByLocusID

    java.lang.Object
      org.biojava.bio.program.homologene.OrthologueFilter.ByLocusID

All Implemented Interfaces:
  OrthologueFilter

Enclosing interface:
  OrthologueFilter

    public static class OrthologueFilter.ByLocusID

extends Object
implements OrthologueFilter

Nested Class Summary

Nested classes/interfaces inherited from interface org.biojava.bio.program.homologene.OrthologueFilter
`OrthologueFilter.AcceptAll, OrthologueFilter.And, OrthologueFilter.ByAccession, OrthologueFilter.ByHomologeneID, OrthologueFilter.ByLocusID, OrthologueFilter.ByTaxon, OrthologueFilter.ByTaxonID, OrthologueFilter.ByTitle, OrthologueFilter.Not, OrthologueFilter.Or, OrthologueFilter.Xor`

Constructor Summary
`OrthologueFilter.ByLocusID(String locusID)`

Method Summary
`boolean` | `accept(Orthologue ortho)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OrthologueFilter.ByLocusID

    public OrthologueFilter.ByLocusID(String locusID)

Method Detail

### accept

    public boolean accept(Orthologue ortho)

  Specified by:
    `accept` in interface `OrthologueFilter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD